{
	"format_version": "1.20.30",
	"minecraft:block": {
		"description": {
			"identifier": "farmersdelight:rich_soil_farmland",
			"menu_category": {
				"category": "items",
				"is_hidden_in_commands": false,
				"group": "itemGroup.name.farmersdelight_dirt"
			},
			"states": {
				"wiki:wet_farmland": [
					0,
					1
				]
			}
		},
		"components": {
			"tag:faded_farmland": {},
			"minecraft:map_color": "#0A5E20",
			"minecraft:geometry": "geometry.farmland",
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 0.5
			},
			"minecraft:selection_box": {
				"origin": [
					-8,
					0,
					-8
				],
				"size": [
					16,
					15,
					16
				]
			},
			"minecraft:collision_box": {
				"origin": [
					-8,
					0,
					-8
				],
				"size": [
					16,
					15,
					16
				]
			},
			"minecraft:random_ticking": {
				"on_tick": {
					"event": "wiki:detect_water",
					"target": "self"
				}
			},
			"minecraft:material_instances": {
				"*": {
					"texture": "rich_soil",
					"render_method": "alpha_test",
					"ambient_occlusion": false,
					"face_dimming": false
				},
				"up": {
					"texture": "rich_soil_farmland",
					"render_method": "alpha_test"
				}
			},
			"minecraft:loot": "loot_tables/rich_soil_farmland.json",
			"minecraft:light_dampening": 15,
			"tag:rich_soil_farmland": {}
		},
		"events": {
			"wiki:detect_water": {
				"sequence": [
					{
						"condition": "!query.block_neighbor_has_any_tag(4,0,0,'water')&&!query.block_neighbor_has_any_tag(3,0,0,'water')&&!query.block_neighbor_has_any_tag(2,0,0,'water')&&!query.block_neighbor_has_any_tag(1,0,0,'water')&&!query.block_neighbor_has_any_tag(-1,0,0,'water')&&!query.block_neighbor_has_any_tag(-2,0,0,'water')&&!query.block_neighbor_has_any_tag(-3,0,0,'water')&&!query.block_neighbor_has_any_tag(-4,0,0,'water')&&!query.block_neighbor_has_any_tag(4,0,-4,'water')&&!query.block_neighbor_has_any_tag(3,0,-4,'water')&&!query.block_neighbor_has_any_tag(2,0,-4,'water')&&!query.block_neighbor_has_any_tag(1,0,-4,'water')&&!query.block_neighbor_has_any_tag(0,0,-4,'water')&&!query.block_neighbor_has_any_tag(-1,0,-4,'water')&&!query.block_neighbor_has_any_tag(-2,0,-4,'water')&&!query.block_neighbor_has_any_tag(-3,0,-4,'water')&&!query.block_neighbor_has_any_tag(-4,0,-4,'water')&&!query.block_neighbor_has_any_tag(4,0,-3,'water')&&!query.block_neighbor_has_any_tag(3,0,-3,'water')&&!query.block_neighbor_has_any_tag(2,0,-3,'water')&&!query.block_neighbor_has_any_tag(1,0,-3,'water')&&!query.block_neighbor_has_any_tag(0,0,-3,'water')&&!query.block_neighbor_has_any_tag(-1,0,-3,'water')&&!query.block_neighbor_has_any_tag(-2,0,-3,'water')&&!query.block_neighbor_has_any_tag(-3,0,-3,'water')&&!query.block_neighbor_has_any_tag(-4,0,-3,'water')&&!query.block_neighbor_has_any_tag(4,0,-2,'water')&&!query.block_neighbor_has_any_tag(3,0,-2,'water')&&!query.block_neighbor_has_any_tag(2,0,-2,'water')&&!query.block_neighbor_has_any_tag(1,0,-2,'water')&&!query.block_neighbor_has_any_tag(0,0,-2,'water')&&!query.block_neighbor_has_any_tag(-1,0,-2,'water')&&!query.block_neighbor_has_any_tag(-2,0,-2,'water')&&!query.block_neighbor_has_any_tag(-3,0,-2,'water')&&!query.block_neighbor_has_any_tag(-4,0,-2,'water')&&!query.block_neighbor_has_any_tag(4,0,-1,'water')&&!query.block_neighbor_has_any_tag(3,0,-1,'water')&&!query.block_neighbor_has_any_tag(2,0,-1,'water')&&!query.block_neighbor_has_any_tag(1,0,-1,'water')&&!query.block_neighbor_has_any_tag(0,0,-1,'water')&&!query.block_neighbor_has_any_tag(-1,0,-1,'water')&&!query.block_neighbor_has_any_tag(-2,0,-1,'water')&&!query.block_neighbor_has_any_tag(-3,0,-1,'water')&&!query.block_neighbor_has_any_tag(-4,0,-1,'water')&&!query.block_neighbor_has_any_tag(4,0,1,'water')&&!query.block_neighbor_has_any_tag(3,0,1,'water')&&!query.block_neighbor_has_any_tag(2,0,1,'water')&&!query.block_neighbor_has_any_tag(1,0,1,'water')&&!query.block_neighbor_has_any_tag(0,0,1,'water')&&!query.block_neighbor_has_any_tag(-1,0,1,'water')&&!query.block_neighbor_has_any_tag(-2,0,1,'water')&&!query.block_neighbor_has_any_tag(-3,0,1,'water')&&!query.block_neighbor_has_any_tag(-4,0,1,'water')&&!query.block_neighbor_has_any_tag(4,0,2,'water')&&!query.block_neighbor_has_any_tag(3,0,2,'water')&&!query.block_neighbor_has_any_tag(2,0,2,'water')&&!query.block_neighbor_has_any_tag(1,0,2,'water')&&!query.block_neighbor_has_any_tag(0,0,2,'water')&&!query.block_neighbor_has_any_tag(-1,0,2,'water')&&!query.block_neighbor_has_any_tag(-2,0,2,'water')&&!query.block_neighbor_has_any_tag(-3,0,2,'water')&&!query.block_neighbor_has_any_tag(-4,0,2,'water')&&!query.block_neighbor_has_any_tag(4,0,3,'water')&&!query.block_neighbor_has_any_tag(3,0,3,'water')&&!query.block_neighbor_has_any_tag(2,0,3,'water')&&!query.block_neighbor_has_any_tag(1,0,3,'water')&&!query.block_neighbor_has_any_tag(0,0,3,'water')&&!query.block_neighbor_has_any_tag(-1,0,3,'water')&&!query.block_neighbor_has_any_tag(-2,0,3,'water')&&!query.block_neighbor_has_any_tag(-3,0,3,'water')&&!query.block_neighbor_has_any_tag(-4,0,3,'water')&&!query.block_neighbor_has_any_tag(4,0,4,'water')&&!query.block_neighbor_has_any_tag(3,0,4,'water')&&!query.block_neighbor_has_any_tag(2,0,4,'water')&&!query.block_neighbor_has_any_tag(1,0,4,'water')&&!query.block_neighbor_has_any_tag(0,0,4,'water')&&!query.block_neighbor_has_any_tag(-1,0,4,'water')&&!query.block_neighbor_has_any_tag(-2,0,4,'water')&&!query.block_neighbor_has_any_tag(-3,0,4,'water')&&!query.block_neighbor_has_any_tag(-4,0,4,'water')",
						"set_block_state": {
							"wiki:wet_farmland": 0
						}
					},
					{
						"condition": "query.block_neighbor_has_any_tag(4,0,0,'water')||query.block_neighbor_has_any_tag(3,0,0,'water')||query.block_neighbor_has_any_tag(2,0,0,'water')||query.block_neighbor_has_any_tag(1,0,0,'water')||query.block_neighbor_has_any_tag(-1,0,0,'water')||query.block_neighbor_has_any_tag(-2,0,0,'water')||query.block_neighbor_has_any_tag(-3,0,0,'water')||query.block_neighbor_has_any_tag(-4,0,0,'water')||query.block_neighbor_has_any_tag(4,0,-4,'water')||query.block_neighbor_has_any_tag(3,0,-4,'water')||query.block_neighbor_has_any_tag(2,0,-4,'water')||query.block_neighbor_has_any_tag(1,0,-4,'water')||query.block_neighbor_has_any_tag(0,0,-4,'water')||query.block_neighbor_has_any_tag(-1,0,-4,'water')||query.block_neighbor_has_any_tag(-2,0,-4,'water')||query.block_neighbor_has_any_tag(-3,0,-4,'water')||query.block_neighbor_has_any_tag(-4,0,-4,'water')||query.block_neighbor_has_any_tag(4,0,-3,'water')||query.block_neighbor_has_any_tag(3,0,-3,'water')||query.block_neighbor_has_any_tag(2,0,-3,'water')||query.block_neighbor_has_any_tag(1,0,-3,'water')||query.block_neighbor_has_any_tag(0,0,-3,'water')||query.block_neighbor_has_any_tag(-1,0,-3,'water')||query.block_neighbor_has_any_tag(-2,0,-3,'water')||query.block_neighbor_has_any_tag(-3,0,-3,'water')||query.block_neighbor_has_any_tag(-4,0,-3,'water')||query.block_neighbor_has_any_tag(4,0,-2,'water')||query.block_neighbor_has_any_tag(3,0,-2,'water')||query.block_neighbor_has_any_tag(2,0,-2,'water')||query.block_neighbor_has_any_tag(1,0,-2,'water')||query.block_neighbor_has_any_tag(0,0,-2,'water')||query.block_neighbor_has_any_tag(-1,0,-2,'water')||query.block_neighbor_has_any_tag(-2,0,-2,'water')||query.block_neighbor_has_any_tag(-3,0,-2,'water')||query.block_neighbor_has_any_tag(-4,0,-2,'water')||query.block_neighbor_has_any_tag(4,0,-1,'water')||query.block_neighbor_has_any_tag(3,0,-1,'water')||query.block_neighbor_has_any_tag(2,0,-1,'water')||query.block_neighbor_has_any_tag(1,0,-1,'water')||query.block_neighbor_has_any_tag(0,0,-1,'water')||query.block_neighbor_has_any_tag(-1,0,-1,'water')||query.block_neighbor_has_any_tag(-2,0,-1,'water')||query.block_neighbor_has_any_tag(-3,0,-1,'water')||query.block_neighbor_has_any_tag(-4,0,-1,'water')||query.block_neighbor_has_any_tag(4,0,1,'water')||query.block_neighbor_has_any_tag(3,0,1,'water')||query.block_neighbor_has_any_tag(2,0,1,'water')||query.block_neighbor_has_any_tag(1,0,1,'water')||query.block_neighbor_has_any_tag(0,0,1,'water')||query.block_neighbor_has_any_tag(-1,0,1,'water')||query.block_neighbor_has_any_tag(-2,0,1,'water')||query.block_neighbor_has_any_tag(-3,0,1,'water')||query.block_neighbor_has_any_tag(-4,0,1,'water')||query.block_neighbor_has_any_tag(4,0,2,'water')||query.block_neighbor_has_any_tag(3,0,2,'water')||query.block_neighbor_has_any_tag(2,0,2,'water')||query.block_neighbor_has_any_tag(1,0,2,'water')||query.block_neighbor_has_any_tag(0,0,2,'water')||query.block_neighbor_has_any_tag(-1,0,2,'water')||query.block_neighbor_has_any_tag(-2,0,2,'water')||query.block_neighbor_has_any_tag(-3,0,2,'water')||query.block_neighbor_has_any_tag(-4,0,2,'water')||query.block_neighbor_has_any_tag(4,0,3,'water')||query.block_neighbor_has_any_tag(3,0,3,'water')||query.block_neighbor_has_any_tag(2,0,3,'water')||query.block_neighbor_has_any_tag(1,0,3,'water')||query.block_neighbor_has_any_tag(0,0,3,'water')||query.block_neighbor_has_any_tag(-1,0,3,'water')||query.block_neighbor_has_any_tag(-2,0,3,'water')||query.block_neighbor_has_any_tag(-3,0,3,'water')||query.block_neighbor_has_any_tag(-4,0,3,'water')||query.block_neighbor_has_any_tag(4,0,4,'water')||query.block_neighbor_has_any_tag(3,0,4,'water')||query.block_neighbor_has_any_tag(2,0,4,'water')||query.block_neighbor_has_any_tag(1,0,4,'water')||query.block_neighbor_has_any_tag(0,0,4,'water')||query.block_neighbor_has_any_tag(-1,0,4,'water')||query.block_neighbor_has_any_tag(-2,0,4,'water')||query.block_neighbor_has_any_tag(-3,0,4,'water')||query.block_neighbor_has_any_tag(-4,0,4,'water')",
						"set_block_state": {
							"wiki:wet_farmland": 1
						}
					}
				]
			}
		},
		"permutations": [
			{
				"condition": "q.block_state('wiki:wet_farmland') == 0",
				"components": {
					"minecraft:material_instances": {
						"*": {
							"texture": "rich_soil",
							"render_method": "alpha_test"
						},
						"up": {
							"texture": "rich_soil_farmland",
							"render_method": "alpha_test"
						}
					}
				}
			},
			{
				"condition": "q.block_state('wiki:wet_farmland') == 1",
				"components": {
					"minecraft:material_instances": {
						"*": {
							"texture": "rich_soil_farmland_moist_side",
							"render_method": "alpha_test"
						},
						"up": {
							"texture": "rich_soil_farmland_moist",
							"render_method": "alpha_test"
						}
					}
				}
			}
		]
	}
}